# Prevent stripping.
%define debug_package %{nil}

Summary:        RealPlayer 10
Name:           RealPlayer
Version:        10.0.7.785
Release:       	1
Group:          Applications/Multimedia
License:        RPSL, EULA
URL:            http://www.real.com/linux
# https://helixcommunity.org/download.php/1917/RealPlayer-10.0.7.785-20060201.i586.rpm
# https://helixcommunity.org/download.php/1916/realplay-10.0.7.785-linux-2.2-libc6-gcc32-i586.bin
Source0:	RealPlayer-%{version}.tar.bz2
NoSource:	0
Obsoletes:      G2player, RealOne, HelixPlayer
Provides:	HelixPlayer = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: i586

Source1: realplay.sh

# Once we're confident of stability, change to Obsoletes
Conflicts: RealPlayer8
Conflicts: RealPlayer9

%description
RealPlayer is a media player providing solid media playback locally 
and via streaming. It plays RealAudio, RealVideo, MP3, 3GPP Video, 
Flash, SMIL 2.0, JPEG, GIF, PNG, RealPix and RealText and 
more. The RealPlayer 10 for Linux builds on top of the popular 
GPL/RPSL Helix Player 1.0.

%package plugin
Group:          Applications/Internet
Summary:        %{name} mozilla,firefox,opera plugin
Requires:       %{name} = %{version}-%{release}
%description plugin
%{name}  mozilla,firefox,opera plugin


%prep
%setup -q -n %{name}


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/{16x16,32x32,48x48,192x192}/{apps,mimetypes}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mime/packages
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/helix
mkdir -p $RPM_BUILD_ROOT%{_libdir}/helix/share

cp -a * $RPM_BUILD_ROOT%{_libdir}/helix

pushd $RPM_BUILD_ROOT%{_libdir}/helix

pushd share/locale
for LANGUAGE in *; do
    mkdir -p $RPM_BUILD_ROOT%{_datadir}/locale/$LANGUAGE/LC_MESSAGES
    cp -lf "$LANGUAGE/player.mo" "$RPM_BUILD_ROOT%{_datadir}/locale/$LANGUAGE/LC_MESSAGES/realplay.mo"
    cp -lf "$LANGUAGE/widget.mo" "$RPM_BUILD_ROOT%{_datadir}/locale/$LANGUAGE/LC_MESSAGES/libgtkhx.mo"
done
popd

for SIZE in "48x48" "192x192" ; do
    for MIME in \
        "application-ram"     \
        "application-rpm"     \
        "application-rm"      \
        "text-realtext"	      \
        "audio-mp4"           \
        "audio-ra"            \
        "video-rv" ; do
        ICON="./share/icons/mime-${MIME}_$SIZE.png"
        cp "$ICON" "$RPM_BUILD_ROOT%{_datadir}/icons/hicolor/$SIZE/mimetypes/realplay-${MIME}.png"
    done
done

for SIZE in "16x16" "32x32" "48x48" "192x192" ; do
    cp -lf ./share/icons/realplay_${SIZE}.png $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/${SIZE}/apps/realplay.png
done

cp -lf ./share/realplay.png $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp -lf ./share/realplay.desktop $RPM_BUILD_ROOT%{_datadir}/applications
cp -lf ./share/realplay.xml $RPM_BUILD_ROOT%{_datadir}/mime/packages/realplay.xml

cp -lf ./mozilla/nphelix.so $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins
cp -lf ./mozilla/nphelix.xpt $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# Sound-server wrapper currently not supported
#install %{SOURCE1}  $RPM_BUILD_ROOT%{_bindir}/realplay
ln -sf ../%{_lib}/helix/realplay $RPM_BUILD_ROOT%{_bindir}/realplay

popd

%find_lang realplay
%find_lang libgtkhx
cat *.lang > RealPlayer.lang

rm -f %{name}-plugin.links ; touch %{name}-plugin.links
for b in mozilla opera netscape firefox ; do
  mkdir -p $RPM_BUILD_ROOT%{_libdir}/$b/plugins
  ln -sf %{_libdir}/helix/mozilla/nphelix.so $RPM_BUILD_ROOT%{_libdir}/$b/plugins
  ln -sf %{_libdir}/helix/mozilla/nphelix.xpt $RPM_BUILD_ROOT%{_libdir}/$b/plugins
  echo "%ghost %{_libdir}/$b/plugins/nphelix.so"  >> %{name}-plugin.links"
  echo "%ghost %{_libdir}/$b/plugins/nphelix.xpt" >> %{name}-plugin.links"
done 



%clean
rm -rf $RPM_BUILD_ROOT


%post
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null |
update-desktop-database %{_datadir}/applications >& /dev/null ||:

%postun
touch --no-create %{_datadir}/icons/hicolor ||:
gtk-update-icon-cache -q %{_datadir}/icons/hicolor 2> /dev/null |
update-desktop-database %{_datadir}/applications >& /dev/null ||:


%triggerin plugin -- mozilla,kdebase
pd=%{_libdir}/mozilla/plugins/
if [ $2 -eq 1 -a -d $pd -a ! -e $pd/nphelix.so ] ; then
  ln -sf %{_libdir}/helix/mozilla/nphelix.so $pd
  ln -sf %{_libdir}/helix/mozilla/nphelix.xpt $pd
fi
%triggerun plugin -- mozilla,kdebase
[ $2 -eq 0 ] && rm -f %{_libdir}/mozilla/plugins/nphelix.* || :

%triggerin plugin -- firefox
pd=%{_libdir}/firefox/plugins/
if [ $2 -eq 1 -a -d $pd -a ! -e $pd/nphelix.so ] ; then
  ln -sf %{_libdir}/helix/mozilla/nphelix.so $pd
  ln -sf %{_libdir}/helix/mozilla/nphelix.xpt $pd
fi
%triggerun plugin -- firefox
[ $2 -eq 0 ] && rm -f %{_libdir}/firefox/plugins/nphelix.* || :

%triggerin plugin -- opera
pd=%{_libdir}/opera/plugins/
if [ $2 -eq 1 -a -d $pd -a ! -e $pd/nphelix.so ] ; then
  ln -sf %{_libdir}/helix/mozilla/nphelix.so $pd
  ln -sf %{_libdir}/helix/mozilla/nphelix.xpt $pd
fi
%triggerun plugin -- opera
[ $2 -eq 0 ] && rm -f %{_libdir}/opera/plugins/nphelix.* || :

%triggerin plugin -- netscape-common
pd=%{_libdir}/netscape/plugins/
if [ $2 -eq 1 -a -d $pd -a ! -e $pd/nphelix.so ] ; then
  ln -sf %{_libdir}/helix/mozilla/nphelix.so $pd
  ln -sf %{_libdir}/helix/mozilla/nphelix.xpt $pd
fi
%triggerun plugin -- netscape-common
[ $2 -eq 0 ] && rm -f %{_libdir}/netscape/plugins/nphelix.* || :



%files -f %{name}.lang
%defattr(-,root,root)
%{_bindir}/realplay
%{_libdir}/helix
%exclude %{_libdir}/helix/mozilla
%{_datadir}/icons/hicolor/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/realplay.desktop
%{_datadir}/mime/packages/*
%{_datadir}/pixmaps/*.png

%files plugin -f %{name}-plugin.links 
%defattr(-,root,root)
%{_libdir}/helix/mozilla
%{_libdir}/mozilla/plugins/*



%changelog
* Tue Aug 23 2005 Rex Dieter 10.0.5.756-1.1
- own /usr/lib/helix
- Provides: HelixPlayer

* Fri Jun 24 2005 Rex dieter 10.0.5.756-1.0
- 10.0.5.756

* Wed Apr 20 2005 Rex Dieter 10.0.4.750-1.0
- 10.0.4.750

* Fri Dec 17 2004 Rex Dieter 10.0.2.608-0.fdr.0
- 10.0.2.208

* Wed Dec 15 2004 Rex Dieter 10.0.1-0.fdr-0
- first try

* Tue Oct 05 2004 Ryan Gammon <rgammon@real.com> 10.0.1-2
- Switching over to using the binary tarball instead of the
- source tarball -- RealNetworks requires that it build
- the bits that get shipped.
- Adding translations and new mime realplay.xml file.

* Mon Oct 04 2004 Colin Walters <walters@redhat.com> 10.0.1-1
- Update to 10.0.1
- Drop upstreamed HelixPlayer-1.0.beta20040615-mmx-clobber.patch
- Drop HelixPlayer-1.0.beta20040615-desktop.patch per request
- Drop upstreamed HelixPlayer-1.0-filechooser.patch
- Drop upstreamed HelixPlayer-1.0-clobberedx.patch

* Thu Sep 30 2004 Christopher Aillon <caillon@redhat.com> 10-5
- PreReq desktop-file-utils >= 0.9

* Tue Sep 14 2004 Colin Walters <walters@redhat.com> 10-4
- Add patch from Real to fix math64.h compilation
- Invoke update-desktop-database in post and postun, in
  preparation for fixing .desktop file for mime system
- Address some issues from #130744, thanks Ling Li:
  - Do release build
  - Install release binary
  - Fix typo in png installation
- Remove hack for installing debug ogg format

* Mon Aug 23 2004 Colin Walters <walters@redhat.com> 10-3
- Install README and LICENSE (#130209).

* Mon Aug 09 2004 Colin Walters <walters@redhat.com> 10-2
- Put mozilla plugins in correct directory (#129305)

* Wed Aug 04 2004 Colin Walters <walters@redhat.com> 10-1
- Bump version to 10, to override existing realplayer 8.

* Tue Aug 03 2004 Colin Walters <walters@redhat.com> 1.0.gold-1
- Fork from HelixPlayer

* Mon Aug 02 2004 Colin Walters <walters@redhat.com> 1.0.gold-1
- Update to gold
- Use setup -n to set directory instead of repacking tarball
- Switch bif target to bingo-gold-free

* Thu Jul 29 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-6
- Rework Summary a bit
- Minor spec cleanups

* Mon Jul 26 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-5
- Add patch to port to GtkFileChooser
- ExcludeArch ppc

* Fri Jul 16 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-4
- Restore MIME icon installation into hicolor directory 

* Fri Jul 16 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-3
- Add patch to fix desktop file name
- Set build failure color to "green" to exit on any error
- Add smp_mflags variable for parallel building

* Thu Jul 15 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-2
- BR latest theora
- More spec file bits
- Install logo for real

* Mon Jul 12 2004 Colin Walters <walters@redhat.com> 1.0.beta20040615-1
- Some spec file cleanups

* Mon Jun 8 2004 Ryan Gammon <rgammon@real.com>
- Adding /usr/share/pixmap, document icons

* Mon Jun 7 2004 Nicholas Hart <nhart@real.com>
- added .mime/.keys/.applications files

* Wed May 5 2004 Ryan Gammon <rggammon@helixcommunity.org>
- Updating icons

* Thu Jan 13 2004  Nicholas Hart <nhart@helixcommunity.org>
- tweaked some paths to deal with tarball generated by player/installer/app
- changed, reformatted some of the package info

* Sat Dec 27 2003 Thomas Chung <tchung@linuxinstall.org> 0.2.0.0-20031224
- First RPM build for Fedora Core 1
